Bug 468868 - Fedora10 X fails to start on Mobility Radeon 9600 (dualscreen)
Fedora10 X fails to start on Mobility Radeon 9600 (dualscreen)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Reopened
: 468995 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-28 10:37 EDT by Markku Kolkka
Modified: 2009-10-22 08:47 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-15 15:18:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log file (24.65 KB, text/plain)
2008-10-28 10:37 EDT, Markku Kolkka
no flags Details
System log (/var/log/messages) (56.06 KB, text/plain)
2008-10-28 10:38 EDT, Markku Kolkka
no flags Details
X server log, Redeon X300 black screen (48.85 KB, text/plain)
2008-11-06 22:16 EST, Peter Jansen
no flags Details
dmesg output (15.09 KB, text/plain)
2008-11-06 22:16 EST, Peter Jansen
no flags Details
kernel dmesg - 2.6.27.7-132.fc10.i686 (37.24 KB, text/plain)
2008-12-02 06:30 EST, Helge Deller
no flags Details
Xorg log file - xorg-x11-drv-ati-6.9.0-61.fc10.i386.rpm (32.57 KB, text/plain)
2008-12-02 06:31 EST, Helge Deller
no flags Details

  None (edit)
Description Markku Kolkka 2008-10-28 10:37:21 EDT
Created attachment 321698 [details]
X log file

Description of problem:
I was testing F10Snap3 KDE LiveCD on my HP nc6000 laptop, and it boots to a black screen. Ctrl-Alt-F1 gives a working text console, and the logs show that X is crashing at start:
Oct 25 22:01:50 localhost kernel: [drm:drm_buffer_object_validate] *ERROR* Failed moving buffer.
Oct 25 22:01:50 localhost kernel: [drm:drm_buffer_object_validate] *ERROR* Out of aperture space or DRM memory quota.
Oct 25 22:01:50 localhost kernel: mtrr: base(0x98b48000) is not aligned on a size(0x400000) boundary
Oct 25 22:01:50 localhost kernel: [drm:drm_mode_getfb] *ERROR* invalid framebuffer id
Oct 25 22:01:50 localhost kdm[2948]: X server died during startup
Oct 25 22:01:50 localhost kdm[2948]: X server for display :0 cannot be started, session disabled


Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Insert LiveCD to drive
2. boot
  
Actual results:
Black screen

Expected results:
Working KDE desktop

Additional info:
Hardware configuration http://www.smolts.org/client/show/?uuid=pub_dc8a7323-3c65-4d38-b0f0-c4adea66d2e3
Comment 1 Markku Kolkka 2008-10-28 10:38:02 EDT
Created attachment 321699 [details]
System log (/var/log/messages)
Comment 2 Matěj Cepl 2008-10-28 20:01:48 EDT
I am afraid LiveCD is irreparably broken. You would need to do yum upgrade, but then you use Liveliness of the LiveCD. There are also later snapshots of Rawhide, currently Snapshot 3 (http://torrent.fedoraproject.org/torrents//Fedora-10-Snap3-i686-Live.torrent or generally for overview just http://torrent.fedoraproject.org/).

Closing as RAWHIDE. Please reopen if the bug persists even with the current Snapshot. In such case, please, attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Thanks.
Comment 3 Markku Kolkka 2008-10-29 02:17:21 EDT
The bug _is_ in the current snapshot (Snap3) as told in both the headline and bug description. The X server log file was already attached and there's no config file in LiveCD, the server is autoconfigured (as you can see in the log file).
Comment 4 Matěj Cepl 2008-10-29 11:36:01 EDT
I am sorry, and on the top of that I missed this lovely backtrace:

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x3b) [0x812b8db]
1: /usr/bin/X(xf86SigHandler+0x51) [0x80bc911]
2: [0x130400]
3: /usr/lib/xorg/modules/drivers//radeon_drv.so [0x77086b]
4: /usr/lib/xorg/modules/drivers//radeon_drv.so [0x7713af]
5: /usr/bin/X(xf86SetDesiredModes+0x1af) [0x80e5b3f]
6: /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONScreenInit+0x1b20) [0x72e040]
7: /usr/bin/X(AddScreen+0x19f) [0x806ad4f]
8: /usr/bin/X(InitOutput+0x206) [0x80a3c36]
9: /usr/bin/X(main+0x279) [0x806b4e9]
10: /lib/libc.so.6(__libc_start_main+0xe5) [0x42e6d5]
11: /usr/bin/X [0x806aad1]

Fatal server error:
Caught signal 11.  Server aborting
Comment 5 Matěj Cepl 2008-10-29 11:46:45 EDT
*** Bug 468995 has been marked as a duplicate of this bug. ***
Comment 6 Peter Jansen 2008-11-06 22:16:02 EST
Created attachment 322812 [details]
X server log, Redeon X300 black screen
Comment 7 Peter Jansen 2008-11-06 22:16:58 EST
Created attachment 322813 [details]
dmesg output
Comment 8 Peter Jansen 2008-11-06 22:18:44 EST
Similar problems with Radeon X300 on a Dell Dimension 5100. This occures with Fedora 10 preview in the install process when it stops with a black screen. I installed with text mode and the machine reboots after startx.
Comment 9 Helge Deller 2008-11-10 07:01:28 EST
I'm seeing similiar problems on my NC600 laptop when my monitor is attached on
"Fedora 10 Preview" (native installed):

Kernel syslog reports:
pci 0000:01:00.0: LVDS-1: no EDID data
pci 0000:01:00.0: LVDS-1: no EDID data
[drm:drm_buffer_object_validate] *ERROR* Failed moving buffer.
[drm:drm_buffer_object_validate] *ERROR* Out of aperture space or DRM memory quota.


Xorg.0.log:
(II) RADEON(0): RADEONScreenInit 98000000 0 0
(==) RADEON(0): Using 24 bit depth buffer
(II) RADEON(0): Depth moves disabled by default
(==) RADEON(0): Not using accelerated EXA DownloadFromScreen hook
(II) RADEON(0): [drm] Using the DRM lock SAREA also for drawables.
(II) RADEON(0): [drm] framebuffer mapped by ddx driver
(II) RADEON(0): [drm] added 1 reserved context for kernel
(II) RADEON(0): X context handle = 0x1
(II) RADEON(0): [drm] installed DRM signal handler
1600 x 1600 x 4 = 10000K
texture size is -6968K, exa is -6968K
fb size is 10000K 46448K
Failed to allocate Front Buffer + EXA

Backtrace:
0: Xorg(xorg_backtrace+0x3b) [0x812b9ab]
1: Xorg(xf86SigHandler+0x51) [0x80bc9e1]
2: [0x130400]
3: /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONScreenInit+0x1eba) [0x72e2aa]
4: Xorg(AddScreen+0x19f) [0x806ad4f]
5: Xorg(InitOutput+0x206) [0x80a3ca6]
6: Xorg(main+0x279) [0x806b4e9]
7: /lib/libc.so.6(__libc_start_main+0xe5) [0x42e6d5]
8: Xorg [0x806aad1]

Fatal server error:
Caught signal 11.  Server aborting
Comment 10 Will Woods 2008-11-17 13:41:37 EST
There have been significant updates since F10Preview - is this still a problem?
Comment 11 Helge Deller 2008-11-25 06:42:00 EST
Hi Will, Hi Dave,

I have a HP nc6000 as well. F10-final is now much better. Everything is fast and OK,  --> as long as you use the internal Laptop LCD display ONLY. <---

As soon as I put my laptop in the docking station, where a 21" TFT is connected, X does NOT start any longer at all (it didn't either with f10preview!).


Kernel messages:
----------------
pci 0000:01:00.0: LVDS-1: no EDID data
pci 0000:01:00.0: LVDS-1: no EDID data
[drm:drm_buffer_object_validate] *ERROR* Failed moving buffer. f672c700 2500 4000227 10000a0
[drm:drm_buffer_object_validate] *ERROR* Out of aperture space or DRM memory quota.
(this continues!)

Xorg messages:
--------------
(--) PCI:*(0@1:0:0) ATI Technologies Inc RV350 [Mobility Radeon 9600 M10] rev 0, Mem @ 0x98000000/0, 0x90300000/0, I/O @ 0x00002000/0, BIOS @ 0x????????/131072
(II) System resource ranges:
        [0] -1  0       0xffffffff - 0xffffffff (0x1) MX[B]
        [1] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [2] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [3] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [4] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [5] -1  0       0x00000000 - 0x00000000 (0x1) IX[B]
(II) LoadModule: "extmod"
...
(==) RADEON(0): Not using accelerated EXA DownloadFromScreen hook
(II) RADEON(0): [drm] Using the DRM lock SAREA also for drawables.
(II) RADEON(0): [drm] framebuffer mapped by ddx driver
(II) RADEON(0): [drm] added 1 reserved context for kernel
(II) RADEON(0): X context handle = 0x1
(II) RADEON(0): [drm] installed DRM signal handler
1600 x 1600 x 4 = 10000K
texture size is -2508K, exa is -2512K
fb size is 10000K 30032K
Failed to allocate Front Buffer + EXA

Backtrace:
0: X(xorg_backtrace+0x3b) [0x812bc5b]
1: X(xf86SigHandler+0x51) [0x80bcc81]
2: [0x110400]
3: /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONScreenInit+0x1f1c) [0x1e143c]
4: X(AddScreen+0x19f) [0x806ad7f]
5: X(InitOutput+0x206) [0x80a3cf6]
6: X(main+0x279) [0x806b519]
7: /lib/libc.so.6(__libc_start_main+0xe5) [0xb446d5]
8: X [0x806ab01]

Fatal server error:
Caught signal 11.  Server aborting

RPM packages:
--------------
xorg-x11-drv-ati-6.9.0-54.fc10.i386
kernel-2.6.27.5-117.fc10.i686
Comment 12 Jeff Needle 2008-11-25 06:50:54 EST
Since my bug was closed as a duplicate of this bug, I'm removing the (dualscreen) that was just added to the summary as this happens to me on my primary screen, even with the released bits.
Comment 13 Jeff Needle 2008-11-25 18:28:26 EST
I'm pleasantly surprised that at least the LiveCD works with the final bits, so I'm readding the (dualscreen) that I whacked earlier today and will now disappear from this bug report.
Comment 14 Bug Zapper 2008-11-25 23:22:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Jóhann B. Guðmundsson 2008-12-01 05:39:21 EST
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here
http://koji.fedoraproject.org/koji/buildinfo?buildID=72270 

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here
http://koji.fedoraproject.org/koji/packageinfo?packageID=95

And report back if it either improves or fixes this issue..

Thanks.
Comment 16 Helge Deller 2008-12-02 06:27:54 EST
Even after upgrading to kernel-2.6.27.7-132.fc10.i686 and xorg-x11-drv-ati-6.9.0-61.fc10 the problem still exists.

The kernel message and the Xorg error changed a little though:

Kernel:
pci 0000:01:00.0: LVDS-1: no EDID data
[drm:drm_buffer_object_validate] *ERROR* Failed moving buffer. f4636100 2500 4000227 10000a0
[drm:drm_buffer_object_validate] *ERROR* Out of aperture space or DRM memory quota.


Xorg:
(II) RADEON(0): [drm] installed DRM signal handler
1600 x 1600 x 4 = 10000K
Failed to allocate Depth Buffer
Backtrace:
0: X(xorg_backtrace+0x3b) [0x812bc5b]
1: X(xf86SigHandler+0x51) [0x80bcc81]
2: [0x110400]
3: /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONScreenInit+0x1f1c) [0x1e348c]
4: X(AddScreen+0x19f) [0x806ad7f]
5: X(InitOutput+0x206) [0x80a3cf6]
6: X(main+0x279) [0x806b519]
7: /lib/libc.so.6(__libc_start_main+0xe5) [0xb446d5]
8: X [0x806ab01]
Fatal server error:
Caught signal 11.  Server aborting


both log files are attached.
Comment 17 Helge Deller 2008-12-02 06:30:36 EST
Created attachment 325360 [details]
kernel dmesg - 2.6.27.7-132.fc10.i686
Comment 18 Helge Deller 2008-12-02 06:31:43 EST
Created attachment 325361 [details]
Xorg log file - xorg-x11-drv-ati-6.9.0-61.fc10.i386.rpm
Comment 19 David Hull 2008-12-05 20:07:36 EST
I have the same bug on an ATI Technologies Inc RS480 [Radeon Xpress 200G Series], getting the following message in /var/log/messages:

Dec  5 10:32:41 dale kernel: [drm:drm_buffer_object_validate] *ERROR* Failed moving buffer. ffff880090dc5200 1176 4000027 10000a7
Dec  5 10:32:41 dale kernel: [drm:drm_buffer_object_validate] *ERROR* Out of aperture space or DRM memory quota.

I was able to work around the bug by adding "nomodeset" to the kernel boot parameters.  However window redrawing seems much slower and there are occasional display anomalies (incorrect colors, etc.).

I am using:

kernel-2.6.27.7-134.fc10.x86_64
xorg-x11-drv-ati-6.9.0-61.fc10.x86_64
Comment 20 Helge Deller 2008-12-10 05:21:16 EST
I can confirm comment #19, that adding "nomodeset" to the kernel boot parameters solve this issue. I can't confirm the display anomalies though.

Any chance to make the xorg ati driver correctly working even if I don't have "nomodeset" (which is the default for RedHat kernels) in the kernel boot parameters ?
Comment 21 sean 2009-01-25 17:55:41 EST
With xorg-x11-drv-ati-6.9.0-63.fc10.i386 and 2.6.27.9-159.fc10.i686

I still get - syslog:

..............
[drm:drm_buffer_object_validate] *ERROR* Failed moving buffer. f2e5c700 1230 4000027 10000a7
[drm:drm_buffer_object_validate] *ERROR* Out of aperture space or DRM memory quota.
[drm:drm_buffer_object_validate] *ERROR* Failed moving buffer. e527bb00 1187 4000027 10000a7
[drm:drm_buffer_object_validate] *ERROR* Out of aperture space or DRM memory quota.
.............

and Xorg.0.log:

.............
RADEON DRM CS failure - corruptions/glitches may occur -12
bufmgr: last submission : r:18496 vs g:525332480 w:7064704 vs v:9105408
RADEON DRM CS failure - corruptions/glitches may occur -12
bufmgr: last submission : r:20288 vs g:525332480 w:7681920 vs v:9105408
............

Any further movement on this?
Comment 22 Bryan Schneiders 2009-01-28 11:14:33 EST
I can add that this only happens to me when I'm using a widescreen monitor (22" 1680x1050), with DVI.   If I use an 18" monitor, with VGA or DVI, this doesn't happen and I get a login screen as usual.  

I think the screen resolution is related.
Comment 23 Eric Preston 2009-07-16 10:58:08 EDT
I can confirm that this is still present in F10 as of today on a dual monitor setup (2 x 1680x1050 monitors) on an ATI X1950 card.

drv-ati-6.10.0-2.fc10.x86_64
Comment 24 Vedran Miletić 2009-10-08 16:01:16 EDT
Is this still present in Fedora 11 or Rawhide?
Comment 25 Vedran Miletić 2009-10-15 15:18:31 EDT
Reporter doesn't reply, and, judging by many changes in ATI driver, this bug is likely irrelevant.

Closing. If anyone can reproduce it, please reopen.

Note You need to log in before you can comment on or make changes to this bug.